<?php declare(strict_types=1);

namespace Everyware\Plugin\Cxense\Widgets;

use Everyware\ProjectPlugin\Components\WidgetSettingsForm;
use Everyware\ProjectPlugin\Components\Contracts\InfoManager;
use Infomaker\Everyware\Twig\View;

/**
 * Class ListForm
 * @package Everyware\Plugin\Cxense\Widgets
 */
class ListForm extends WidgetSettingsForm
{
    protected $api_url;

    public function __construct(InfoManager $infoManager, string $api_url = null)
    {
        $this->api_url = $api_url;

        parent::__construct($infoManager);
    }

    protected function formContent($storedData): string
    {
        return View::generate('@cxense/widgets/list/form', array_replace($this->generateViewData($storedData), [
            'form' => $this->generateFormBuilder(),
            'api_url' => $this->api_url
        ]));
    }
}
